Bug 1282045 - Developed program tries to dump core - SELinux is preventing abrt-hook-ccpp from using the 'getattr' accesses on a process.
Developed program tries to dump core - SELinux is preventing abrt-hook-ccpp f...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:41a7c48abf07a7bccec362fa48c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 09:58 EST by Georg Sauthoff
Modified: 2016-03-03 11:03 EST (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-155.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 15:58:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Georg Sauthoff 2015-11-14 09:58:39 EST
Description of problem:
1. (as normal user in a terminal) issue: ulimit -c unlimited
2. compile a programs that abort()s
3. run it

-> terminal output reads:

quit (core dumped)  ./a.out

actual result: no core file available in the CWD
expected result: a core file in the CWD

System jounal contains the AVC regarding getattr being denied. Also:

abrt-hook-ccpp[7370]: getpidcon_raw(7368): Permission denied

cat /proc/sys/kernel/core_pattern
|/usr/libexec/abrt-hook-ccpp %s %c %p %u %g %t %e %P %I

SELinux is preventing abrt-hook-ccpp from using the 'getattr' accesses on a process.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that abrt-hook-ccpp should be allowed getattr access on processes labeled unconfined_t by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep abrt-hook-ccpp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:abrt_dump_oops_t:s0
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                Unknown [ process ]
Source                        abrt-hook-ccpp
Source Path                   abrt-hook-ccpp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-154.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.5-300.fc23.x86_64 #1 SMP Tue
                              Oct 27 04:29:56 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2015-11-14 15:38:42 CET
Last Seen                     2015-11-14 15:38:42 CET
Local ID                      e673ce59-b726-46e6-9e5b-a4c056f78e94

Raw Audit Messages
type=AVC msg=audit(1447511922.821:724): avc:  denied  { getattr } for  pid=7370 comm="abrt-hook-ccpp" scontext=system_u:system_r:abrt_dump_oops_t:s0 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process permissive=0


Hash: abrt-hook-ccpp,abrt_dump_oops_t,unconfined_t,process,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-154.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.5-300.fc23.x86_64
type:           libreport
Comment 1 Fedora Update System 2015-11-20 08:15:59 EST
selinux-policy-3.13.1-155.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-0d84d6c75f
Comment 2 Fedora Update System 2015-11-22 09:26:09 EST
selinux-policy-3.13.1-155.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update selinux-policy'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-0d84d6c75f
Comment 3 Fedora Update System 2015-11-26 15:57:27 EST
selinux-policy-3.13.1-155.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.